function onBegin()
    makeUnskippable()

    local currentBooster = nil
    local spentInCurrent = 0
    local maxTime = 0.133

    while true do
        if currentBooster and player.CurrentBooster == currentBooster then
            spentInCurrent = spentInCurrent + engine.DeltaTime

        else
            currentBooster = player.CurrentBooster
            spentInCurrent = 0
        end

        if spentInCurrent > maxTime then
            print("RIP")
            die()
        end

        wait(1 / 90)
    end
end

function onEnd(level, wasSkippped)

end